Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041350
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] A. Platformmajorhave not tried2019-07-15 08:522019-07-18 12:25
ReporterjarmendarizView Statuspublic 
Assigned Tojarmendariz 
PriorityhighResolutionfixedFixed in Version3.0PR19Q2.1
StatusclosedFix in branchFixed in SCM revisioncacf8e9d06b5
ProjectionnoneETAnoneTarget Version3.0PR19Q2.1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041350: Upgrade javascript formatter

DescriptionSince 0039983 were introduced, Openbravo's new formatting tool for javascript code is Prettier and ESLint is the new code checker
Steps To ReproduceSee above
Proposed SolutionAdd the new linter/formatter and upgrade all javascript code to use the new format.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0039983 closedjarmendariz Upgrade javascript linter and formatter 
blocks backport 00413493.0PR19Q1.3 closedjarmendariz Upgrade javascript linter and formatter 
causes backport 00413763.0PR19Q2.1 closedalostale After backport new js formater all windows in form mode fail to open 

-  Notes
(0113420)
hgbot (developer)
2019-07-16 15:10

Repository: erp/backports/3.0PR19Q2.1
Changeset: cacf8e9d06b5503b65e84284ad8b5a6840fe67da
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Tue Jul 16 10:31:30 2019 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR19Q2.1/rev/cacf8e9d06b5503b65e84284ad8b5a6840fe67da [^]

Fixed issue 41350: Upgraded javascript formatter and linter

Replaced jsbeautifier with Prettier for javascript formatting and jslint with
ESLint for code check.

---
M .hgignore
M legal/Licensing.txt
M modules/org.openbravo.client.application/src-test/org/openbravo/client/application/test/MenuTemplateTest.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/navigationbarcomponents/templates/application-menu.js.ftl
M modules/org.openbravo.client.application/src/org/openbravo/client/application/navigationbarcomponents/templates/user-info.js.ftl
M modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/ob-attachment-view.js.ftl
M modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/ob-pick-and-execute-view-window.js.ftl
M modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/ob-standard-view-window.js.ftl
M modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/properties.js.ftl
M modules/org.openbravo.client.kernel/README
M modules/org.openbravo.client.kernel/jslint/jslint
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/ComponentGenerator.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/KernelConstants.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/templates/application-dynamic-js.ftl
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/templates/application-js.ftl
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/templates/docs.js.ftl
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/templates/i18n.ftl
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/templates/selector-as-link.ftl
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/templates/selector.ftl
M modules/org.openbravo.userinterface.smartclient/src/org/openbravo/userinterface/smartclient/templates/smartclient_types_js.ftl
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/js/ob-smartclient-labels.js
A .eslintignore
A .eslintrc.json
A .prettierignore
A .prettierrc.json
A legal/Licensing.txt.orig
A modules/org.openbravo.client.kernel/jsformatter/README.md
A modules/org.openbravo.client.kernel/jsformatter/jsformatter
A modules/org.openbravo.client.kernel/jsformatter/jsformatter-hg
A modules/org.openbravo.client.kernel/jsformatter/jsformatter-hg-hook
A modules/org.openbravo.client.kernel/jslint/README.md
A modules/org.openbravo.client.kernel/jslint/filter-eslint-ignored-files.js
A modules/org.openbravo.client.kernel/jslint/jslint-hg
A modules/org.openbravo.client.kernel/jslint/jslint-hg-hook
A modules/org.openbravo.client.kernel/jsutils/check-npm-deps
A modules/org.openbravo.client.kernel/jsutils/dir-functions
A package-lock.json
A package.json
R modules/org.openbravo.client.kernel/jsbeautify/jsbeautifier.py
R modules/org.openbravo.client.kernel/jsbeautify/jsbeautify
R modules/org.openbravo.client.kernel/jsbeautify/jsbeautify-module
R modules/org.openbravo.client.kernel/jsbeautify/jscheck-btfy
R modules/org.openbravo.client.kernel/jsbeautify/jscheck-btfy-hg
R modules/org.openbravo.client.kernel/jsbeautify/jscheck-btfy-module
R modules/org.openbravo.client.kernel/jsbeautify/jscheck-btfy-module-hg
R modules/org.openbravo.client.kernel/jslint/README.txt
R modules/org.openbravo.client.kernel/jslint/jscheck
R modules/org.openbravo.client.kernel/jslint/jscheck-hg
R modules/org.openbravo.client.kernel/jslint/jscheck-module-hg
R modules/org.openbravo.client.kernel/jslint/jslint-module
R modules/org.openbravo.client.kernel/lib/runtime/jslint4java-1.4.7.jar
R modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/JSLintChecker.java
---
(0113421)
hgbot (developer)
2019-07-16 15:10

Repository: erp/backports/3.0PR19Q2.1
Changeset: 5a95c808981f2f822d6fc1e95cb991385316b9a2
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Tue Jul 16 10:34:44 2019 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR19Q2.1/rev/5a95c808981f2f822d6fc1e95cb991385316b9a2 [^]

Related to issue 41350: Updated format of js files

---
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/FIN_Utilities.js
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-addPayment.js
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-addTransaction.js
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-findTransaction.js
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-fundsTransfer.js
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-matchStatement.js
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-utilities.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/example/grid-example.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/alert-management/ob-alert-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/alert-management/ob-alert-management-view.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/alert-management/ob-alert-manager.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/calendar/ob-calendar.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/calendar/ob-multicalendar.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/callback/ob-extra-window-settings-actions.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/classic/ob-classic-compatibility.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/classic/ob-classic-help.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/classic/ob-classic-popup.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/classic/ob-classic-window.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/costing/ob-lc-matchfrominvoice.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-canvas.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-characteristics.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-checkbox.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-combo.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-date.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-datechooser.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-datetime.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-encrypted.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-fk-filter.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-fk.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-image.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-link.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-linkbutton.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-linktitle.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-list-filter.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-list.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-minidaterange.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-number.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-pickeditgrid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-richtext.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-search-attribute.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-search.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-section-audit.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-section.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-spinner.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-text.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-textarea.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-time.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-tree-filter.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-tree.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-yesno.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-form-button.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-onchange-registry.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-statusbar.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form-attachments.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form-linked-items.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form-notes.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-tree-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-tree-view-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-base-view.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-event-handler-registry.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-layout.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-messagebar.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-notes-datasource.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view-datasource.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-window.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-tab.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/materialmgmt/ob-reservation.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/materialmgmt/ob-reservedGoodMovement.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/navbar/ob-application-menu.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/navbar/ob-help-about-widget.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/navbar/ob-logout-widget.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/navbar/ob-quick-launch.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/navbar/ob-quickrun-widget.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/navbar/ob-user-profile-widget.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/personalization/ob-manage-views-popups.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/personalization/ob-manage-views-toolbar.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/personalization/ob-manage-views.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/personalization/ob-personalization-treegrid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/personalization/ob-personalization.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/personalization/ob-personalize-form-toolbar-button.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/personalization/ob-personalize-form.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-attachment-window-view.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-base-parameter-window-view.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-parameter-window-form.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-parameter-window-view.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-datasource.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-view.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/procurement/ob-procurement.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/return-material/ob-return-material.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/test/ob-navbar-test.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/test/ob-property-store-test.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/test/ob-ui-test.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/test/ob-utilities-date-test.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/test/ob-utilities-number-test.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/test/ob-utilities-valid-url-test.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-action-button.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-clone-order.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-toolbar.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/upload/ob-upload-bp-select-button.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/upload/ob-upload-bp-select-popup.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/upload/ob-upload-popup.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/upload/ob-upload-product-button.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-eventhandler.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-external-page.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-function-registry.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-history-manager.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-keyboard-manager.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-onchange-functions.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-popup.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-property-store.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-recent-utilities.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-remote-call-manager.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-section-stack.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-test-registry.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities-action-def.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities-action.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities-date.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities-number.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities-style.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-view-manager.js
M modules/org.openbravo.client.htmlwidget/web/org.openbravo.client.htmlwidget/js/ob-html-widget.js
M modules/org.openbravo.client.kernel/src-test/org/openbravo/client/kernel/test/test-compression.js
M modules/org.openbravo.client.kernel/web/org.openbravo.client.kernel/js/ob-i18n.js
M modules/org.openbravo.client.kernel/web/org.openbravo.client.kernel/js/ob-kernel-utilities.js
M modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/form/formitem/ob-formitem-widgetinform.js
M modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/ob-about-popup.js
M modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/ob-calendar-widget.js
M modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/ob-community-branding-widget.js
M modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/ob-getting-started-view.js
M modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/ob-getting-started-widget.js
M modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/ob-myopenbravo.js
M modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/ob-showparameter-widget.js
M modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/ob-url-widget.js
M modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/ob-widget.js
M modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/test/ob-myopenbravo-test.js
M modules/org.openbravo.client.querylist/web/org.openbravo.client.querylist/js/ob-querylist-canvas-item.js
M modules/org.openbravo.client.querylist/web/org.openbravo.client.querylist/js/ob-querylist-view.js
M modules/org.openbravo.client.querylist/web/org.openbravo.client.querylist/js/ob-querylist-widget.js
M modules/org.openbravo.client.widgets/web/org.openbravo.client.widgets/js/ob-gcal.js
M modules/org.openbravo.client.widgets/web/org.openbravo.client.widgets/js/ob-twitter.js
M modules/org.openbravo.service.datasource/web/org.openbravo.service.datasource/js/ob-datasource-utilities.js
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/classic-skin-variable.js
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/ob-formitem-fk-combo.js
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/ob-multi-selector-item.js
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/ob-selector-filter-select-item.js
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/ob-selector-item.js
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/ob-selector-link-widget.js
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/ob-selector-widget.js
---
(0113422)
hgbot (developer)
2019-07-16 15:10

Repository: erp/backports/3.0PR19Q2.1
Changeset: 5c2b4f898f03b5624330b13371704a97734d8f00
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Tue Jul 16 15:01:06 2019 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR19Q2.1/rev/5c2b4f898f03b5624330b13371704a97734d8f00 [^]

Related to issue 41350: Ignoring lines in formatting to avoid problems with minifier.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities.js
---
(0113423)
hgbot (developer)
2019-07-16 15:10

Repository: retail/backports/3.0RR19Q2.1/org.openbravo.mobile.core
Changeset: c71f12f083aa02e7baf9cda0af0ec3c61759e7ed
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Tue Jul 16 14:13:55 2019 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR19Q2.1/org.openbravo.mobile.core/rev/c71f12f083aa02e7baf9cda0af0ec3c61759e7ed [^]

Related to issue 41350: Adding ignore files for prettier and eslint

---
A .eslintignore
A .prettierignore
---
(0113424)
hgbot (developer)
2019-07-16 15:10

Repository: retail/backports/3.0RR19Q2.1/org.openbravo.mobile.core
Changeset: 9833feef529b7026d77c068d4ae80d6a20004a3b
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Tue Jul 16 14:15:19 2019 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR19Q2.1/org.openbravo.mobile.core/rev/9833feef529b7026d77c068d4ae80d6a20004a3b [^]

Related to issue 41350: Applied prettier formatting to js files

---
M web/org.openbravo.mobile.core/source/component/dialog/ob-advancedfilterselector.js
M web/org.openbravo.mobile.core/source/component/dialog/ob-expirationpassword.js
M web/org.openbravo.mobile.core/source/component/dialog/ob-logout.js
M web/org.openbravo.mobile.core/source/component/dialog/ob-modaladvancedfilters.js
M web/org.openbravo.mobile.core/source/component/dialog/ob-modalitemstosync.js
M web/org.openbravo.mobile.core/source/component/dialog/ob-modalmodelstosync.js
M web/org.openbravo.mobile.core/source/component/dialog/ob-modalonline.js
M web/org.openbravo.mobile.core/source/component/dialog/ob-profile.js
M web/org.openbravo.mobile.core/source/component/dialog/ob-properties.js
M web/org.openbravo.mobile.core/source/component/ob-clock.js
M web/org.openbravo.mobile.core/source/component/ob-commonbuttons.js
M web/org.openbravo.mobile.core/source/component/ob-context-menu.js
M web/org.openbravo.mobile.core/source/component/ob-dateformat.js
M web/org.openbravo.mobile.core/source/component/ob-datepicker.js
M web/org.openbravo.mobile.core/source/component/ob-keyboard.js
M web/org.openbravo.mobile.core/source/component/ob-keypadbasic.js
M web/org.openbravo.mobile.core/source/component/ob-layout.js
M web/org.openbravo.mobile.core/source/component/ob-listcontextmenu.js
M web/org.openbravo.mobile.core/source/component/ob-login.js
M web/org.openbravo.mobile.core/source/component/ob-markdown.js
M web/org.openbravo.mobile.core/source/component/ob-menu.js
M web/org.openbravo.mobile.core/source/component/ob-performancetest.js
M web/org.openbravo.mobile.core/source/component/ob-scrollabletable.js
M web/org.openbravo.mobile.core/source/component/ob-table.js
M web/org.openbravo.mobile.core/source/component/ob-terminal-component.js
M web/org.openbravo.mobile.core/source/component/ob-terminal-scrim.js
M web/org.openbravo.mobile.core/source/component/ob-timepicker.js
M web/org.openbravo.mobile.core/source/component/ob-windowview.js
M web/org.openbravo.mobile.core/source/component/obpos-approval.js
M web/org.openbravo.mobile.core/source/data/ob-cache.js
M web/org.openbravo.mobile.core/source/data/ob-dal.js
M web/org.openbravo.mobile.core/source/data/ob-datasource.js
M web/org.openbravo.mobile.core/source/data/ob-model.js
M web/org.openbravo.mobile.core/source/data/ob-requestrouter.js
M web/org.openbravo.mobile.core/source/data/ob-windowmodel.js
M web/org.openbravo.mobile.core/source/main.js
M web/org.openbravo.mobile.core/source/model/logclient.js
M web/org.openbravo.mobile.core/source/model/ob-message.js
M web/org.openbravo.mobile.core/source/model/ob-pollingrequest.js
M web/org.openbravo.mobile.core/source/model/ob-pollingrequesthandler.js
M web/org.openbravo.mobile.core/source/model/ob-router.js
M web/org.openbravo.mobile.core/source/model/ob-terminal-model.js
M web/org.openbravo.mobile.core/source/model/terminal-log.js
M web/org.openbravo.mobile.core/source/offline/ob-fetch-manifest.js
M web/org.openbravo.mobile.core/source/offline/ob-session.js
M web/org.openbravo.mobile.core/source/offline/ob-sources-sw.js
M web/org.openbravo.mobile.core/source/offline/ob-user.js
M web/org.openbravo.mobile.core/source/retail/component/ob-retail-filterbuilder.js
M web/org.openbravo.mobile.core/source/retail/component/ob-retail-product-browser.js
M web/org.openbravo.mobile.core/source/retail/component/ob-retail-searchproductcharacteristic.js
M web/org.openbravo.mobile.core/source/retail/component/ob-retail-searchproducts.js
M web/org.openbravo.mobile.core/source/utils/logClientSyncUtils.js
M web/org.openbravo.mobile.core/source/utils/ob-arithmetic.js
M web/org.openbravo.mobile.core/source/utils/ob-check.js
M web/org.openbravo.mobile.core/source/utils/ob-console.js
M web/org.openbravo.mobile.core/source/utils/ob-debug.js
M web/org.openbravo.mobile.core/source/utils/ob-dom-extension.js
M web/org.openbravo.mobile.core/source/utils/ob-hooks.js
M web/org.openbravo.mobile.core/source/utils/ob-i18n.js
M web/org.openbravo.mobile.core/source/utils/ob-localStorage.js
M web/org.openbravo.mobile.core/source/utils/ob-polling-utils.js
M web/org.openbravo.mobile.core/source/utils/ob-processcontroller.js
M web/org.openbravo.mobile.core/source/utils/ob-synchronization.js
M web/org.openbravo.mobile.core/source/utils/ob-synchronizationmonitor.js
M web/org.openbravo.mobile.core/source/utils/ob-terminal-log.js
M web/org.openbravo.mobile.core/source/utils/ob-testregistry.js
M web/org.openbravo.mobile.core/source/utils/ob-utilities.js
M web/org.openbravo.mobile.core/source/utils/ob-utilitiesui.js
M web/org.openbravo.mobile.core/source/utils/ob-versionmanagement.js
M web/org.openbravo.mobile.core/source/utils/terminal-log-sync-utils.js
---
(0113425)
hgbot (developer)
2019-07-16 15:10

Repository: retail/backports/3.0RR19Q2.1/org.openbravo.retail.config
Changeset: f8ca089cea08f57dbb156a6fe97eae31e1670649
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Tue Jul 16 14:15:19 2019 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR19Q2.1/org.openbravo.retail.config/rev/f8ca089cea08f57dbb156a6fe97eae31e1670649 [^]

Related to issue 41350: Applied prettier formatting to js files

---
M web/org.openbravo.retail.config/js/ob-clone-productlist.js
---
(0113426)
hgbot (developer)
2019-07-16 15:10

Repository: retail/backports/3.0RR19Q2.1/org.openbravo.retail.discounts
Changeset: 710fd84af4263c46c7eccac3b3143d7811c92141
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Tue Jul 16 14:15:19 2019 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR19Q2.1/org.openbravo.retail.discounts/rev/710fd84af4263c46c7eccac3b3143d7811c92141 [^]

Related to issue 41350: Applied prettier formatting to js files

---
M web/org.openbravo.retail.discounts/js/promotion-XYdifferentProduts.js
M web/org.openbravo.retail.discounts/js/promotion-XYsameProduct.js
M web/org.openbravo.retail.discounts/js/promotion-buyXgiftY.js
M web/org.openbravo.retail.discounts/js/promotion-discount.js
M web/org.openbravo.retail.discounts/js/promotion-discounttotal.js
M web/org.openbravo.retail.discounts/js/promotion-freeitemstotal.js
M web/org.openbravo.retail.discounts/js/promotion-manual.js
M web/org.openbravo.retail.discounts/js/promotion-pack.js
M web/org.openbravo.retail.discounts/js/promotion-percentagediscounttotal.js
---
(0113427)
hgbot (developer)
2019-07-16 15:11

Repository: retail/backports/3.0RR19Q2.1/org.openbravo.retail.posterminal
Changeset: ebf3e1537c8faafd8116a3f63eef7b65a52c09e1
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Tue Jul 16 14:13:56 2019 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR19Q2.1/org.openbravo.retail.posterminal/rev/ebf3e1537c8faafd8116a3f63eef7b65a52c09e1 [^]

Related to issue 41350: Adding ignore files for prettier and eslint

---
A .eslintignore
A .prettierignore
---
(0113428)
hgbot (developer)
2019-07-16 15:11

Repository: retail/backports/3.0RR19Q2.1/org.openbravo.retail.posterminal
Changeset: b8e9b58cad072093f01faace4389987e85c6a7a0
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Tue Jul 16 14:15:20 2019 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR19Q2.1/org.openbravo.retail.posterminal/rev/b8e9b58cad072093f01faace4389987e85c6a7a0 [^]

Related to issue 41350: Applied prettier formatting to js files

---
M web/org.openbravo.retail.posterminal/js/cashmgmt/components/cashmgmt-modals.js
M web/org.openbravo.retail.posterminal/js/cashmgmt/model/cashmgmt-model.js
M web/org.openbravo.retail.posterminal/js/cashmgmt/model/cashmgmt-print.js
M web/org.openbravo.retail.posterminal/js/cashmgmt/view/cashmgmt.js
M web/org.openbravo.retail.posterminal/js/cashmgmt/view/cashmgmtinfo.js
M web/org.openbravo.retail.posterminal/js/cashmgmt/view/cashmgmtkeyboard.js
M web/org.openbravo.retail.posterminal/js/cashmgmt/view/listdepositsdrops.js
M web/org.openbravo.retail.posterminal/js/cashmgmt/view/listevents.js
M web/org.openbravo.retail.posterminal/js/closecash/components/approvalreason-modal.js
M web/org.openbravo.retail.posterminal/js/closecash/components/cashup-modals.js
M web/org.openbravo.retail.posterminal/js/closecash/model/cashup-model.js
M web/org.openbravo.retail.posterminal/js/closecash/model/cashup-print.js
M web/org.openbravo.retail.posterminal/js/closecash/model/cashup-steps.js
M web/org.openbravo.retail.posterminal/js/closecash/model/daycash.js
M web/org.openbravo.retail.posterminal/js/closecash/view/closecash.js
M web/org.openbravo.retail.posterminal/js/closecash/view/closeinfo.js
M web/org.openbravo.retail.posterminal/js/closecash/view/closekeyboard.js
M web/org.openbravo.retail.posterminal/js/closecash/view/tabcashmaster.js
M web/org.openbravo.retail.posterminal/js/closecash/view/tabcashpayments.js
M web/org.openbravo.retail.posterminal/js/closecash/view/tabcashtokeep.js
M web/org.openbravo.retail.posterminal/js/closecash/view/tabcountcash.js
M web/org.openbravo.retail.posterminal/js/closecash/view/tabpendingreceipts.js
M web/org.openbravo.retail.posterminal/js/closecash/view/tabpostprintclose.js
M web/org.openbravo.retail.posterminal/js/components/bplocation.js
M web/org.openbravo.retail.posterminal/js/components/bplocationship.js
M web/org.openbravo.retail.posterminal/js/components/businesspartner.js
M web/org.openbravo.retail.posterminal/js/components/businesspartner_selector.js
M web/org.openbravo.retail.posterminal/js/components/customershipbill.js
M web/org.openbravo.retail.posterminal/js/components/errors.js
M web/org.openbravo.retail.posterminal/js/components/keypadcoins.js
M web/org.openbravo.retail.posterminal/js/components/leftsubwindow.js
M web/org.openbravo.retail.posterminal/js/components/listreceiptscounter.js
M web/org.openbravo.retail.posterminal/js/components/menu.js
M web/org.openbravo.retail.posterminal/js/components/menuhook.js
M web/org.openbravo.retail.posterminal/js/components/mockpayments.js
M web/org.openbravo.retail.posterminal/js/components/mockprovider.js
M web/org.openbravo.retail.posterminal/js/components/mockprovidervoid.js
M web/org.openbravo.retail.posterminal/js/components/modal-pay-open-tickets.js
M web/org.openbravo.retail.posterminal/js/components/modalDeliveryChange.js
M web/org.openbravo.retail.posterminal/js/components/modalPriceModification.js
M web/org.openbravo.retail.posterminal/js/components/modalassociatetickets.js
M web/org.openbravo.retail.posterminal/js/components/modalcancel.js
M web/org.openbravo.retail.posterminal/js/components/modalcategorytree.js
M web/org.openbravo.retail.posterminal/js/components/modalcontextchanged.js
M web/org.openbravo.retail.posterminal/js/components/modalcreateorderfromquotation.js
M web/org.openbravo.retail.posterminal/js/components/modalinvoices.js
M web/org.openbravo.retail.posterminal/js/components/modalmodulesindev.js
M web/org.openbravo.retail.posterminal/js/components/modalmorepaymentmethods.js
M web/org.openbravo.retail.posterminal/js/components/modalmultiorderslayaway.js
M web/org.openbravo.retail.posterminal/js/components/modalnoteditableline.js
M web/org.openbravo.retail.posterminal/js/components/modalnoteditableorder.js
M web/org.openbravo.retail.posterminal/js/components/modalorderselector.js
M web/org.openbravo.retail.posterminal/js/components/modalpaidreceipts.js
M web/org.openbravo.retail.posterminal/js/components/modalpayment.js
M web/org.openbravo.retail.posterminal/js/components/modalproductbrand.js
M web/org.openbravo.retail.posterminal/js/components/modalproductcharacteristic.js
M web/org.openbravo.retail.posterminal/js/components/modalprovidergroup.js
M web/org.openbravo.retail.posterminal/js/components/modalprovidergroupvoid.js
M web/org.openbravo.retail.posterminal/js/components/modalreactivatequotation.js
M web/org.openbravo.retail.posterminal/js/components/modalreceiptlineproperties.js
M web/org.openbravo.retail.posterminal/js/components/modalreceiptproperties.js
M web/org.openbravo.retail.posterminal/js/components/modalreceipts.js
M web/org.openbravo.retail.posterminal/js/components/modalrejectquotation.js
M web/org.openbravo.retail.posterminal/js/components/modalremoveassociatedtickets.js
M web/org.openbravo.retail.posterminal/js/components/modalselectopenreceipts.js
M web/org.openbravo.retail.posterminal/js/components/modalselectprinters.js
M web/org.openbravo.retail.posterminal/js/components/modalselectterminal.js
M web/org.openbravo.retail.posterminal/js/components/modalsplitlines.js
M web/org.openbravo.retail.posterminal/js/components/openRelatedReceiptsModal.js
M web/org.openbravo.retail.posterminal/js/components/order.js
M web/org.openbravo.retail.posterminal/js/components/orderdetails.js
M web/org.openbravo.retail.posterminal/js/components/popupdraweropened.js
M web/org.openbravo.retail.posterminal/js/components/rendercategory.js
M web/org.openbravo.retail.posterminal/js/components/rendermultiorderline.js
M web/org.openbravo.retail.posterminal/js/components/renderorderline.js
M web/org.openbravo.retail.posterminal/js/components/renderproduct.js
M web/org.openbravo.retail.posterminal/js/components/renderproductch.js
M web/org.openbravo.retail.posterminal/js/components/salesrepresentative.js
M web/org.openbravo.retail.posterminal/js/components/servicesfilter.js
M web/org.openbravo.retail.posterminal/js/components/standardprovider.js
M web/org.openbravo.retail.posterminal/js/components/standardprovidervoid.js
M web/org.openbravo.retail.posterminal/js/components/subwindow.js
M web/org.openbravo.retail.posterminal/js/data/datacustomeraddrsave.js
M web/org.openbravo.retail.posterminal/js/data/datacustomersave.js
M web/org.openbravo.retail.posterminal/js/data/dataorderdiscount.js
M web/org.openbravo.retail.posterminal/js/data/dataordersave.js
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
M web/org.openbravo.retail.posterminal/js/data/windowmodel.js
M web/org.openbravo.retail.posterminal/js/datasource.js
M web/org.openbravo.retail.posterminal/js/i18n.js
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
M web/org.openbravo.retail.posterminal/js/main.js
M web/org.openbravo.retail.posterminal/js/model/bpartnerfilter.js
M web/org.openbravo.retail.posterminal/js/model/bpartnerset.js
M web/org.openbravo.retail.posterminal/js/model/bpcategory.js
M web/org.openbravo.retail.posterminal/js/model/bplocation.js
M web/org.openbravo.retail.posterminal/js/model/brand.js
M web/org.openbravo.retail.posterminal/js/model/businesspartner.js
M web/org.openbravo.retail.posterminal/js/model/cancelLayaway.js
M web/org.openbravo.retail.posterminal/js/model/cashmanagement.js
M web/org.openbravo.retail.posterminal/js/model/cashup.js
M web/org.openbravo.retail.posterminal/js/model/changedbplocation.js
M web/org.openbravo.retail.posterminal/js/model/changedbusinesspartners.js
M web/org.openbravo.retail.posterminal/js/model/characteristic.js
M web/org.openbravo.retail.posterminal/js/model/characteristicvalue.js
M web/org.openbravo.retail.posterminal/js/model/country.js
M web/org.openbravo.retail.posterminal/js/model/currencypanel.js
M web/org.openbravo.retail.posterminal/js/model/discounts.js
M web/org.openbravo.retail.posterminal/js/model/discountset.js
M web/org.openbravo.retail.posterminal/js/model/document-sequence.js
M web/org.openbravo.retail.posterminal/js/model/executor.js
M web/org.openbravo.retail.posterminal/js/model/obpos-supervisor-model.js
M web/org.openbravo.retail.posterminal/js/model/offerpricelist.js
M web/org.openbravo.retail.posterminal/js/model/offlineprinter.js
M web/org.openbravo.retail.posterminal/js/model/order.js
M web/org.openbravo.retail.posterminal/js/model/orderassociationsfilter.js
M web/org.openbravo.retail.posterminal/js/model/orderfilter.js
M web/org.openbravo.retail.posterminal/js/model/orders-for-verified-returns-filter.js
M web/org.openbravo.retail.posterminal/js/model/paymentmethodcashup.js
M web/org.openbravo.retail.posterminal/js/model/prepaymentrules.js
M web/org.openbravo.retail.posterminal/js/model/pricelist.js
M web/org.openbravo.retail.posterminal/js/model/product-category-tree.js
M web/org.openbravo.retail.posterminal/js/model/product-category.js
M web/org.openbravo.retail.posterminal/js/model/product-servicelinked.js
M web/org.openbravo.retail.posterminal/js/model/product.js
M web/org.openbravo.retail.posterminal/js/model/productbom.js
M web/org.openbravo.retail.posterminal/js/model/productcharacteristicvalue.js
M web/org.openbravo.retail.posterminal/js/model/productprice.js
M web/org.openbravo.retail.posterminal/js/model/promotions.js
M web/org.openbravo.retail.posterminal/js/model/returnreasons.js
M web/org.openbravo.retail.posterminal/js/model/salesrepresentative.js
M web/org.openbravo.retail.posterminal/js/model/service-category.js
M web/org.openbravo.retail.posterminal/js/model/service-product.js
M web/org.openbravo.retail.posterminal/js/model/servicepricerule.js
M web/org.openbravo.retail.posterminal/js/model/servicepricerulerange.js
M web/org.openbravo.retail.posterminal/js/model/servicepricerulerangeprices.js
M web/org.openbravo.retail.posterminal/js/model/servicepriceruleversion.js
M web/org.openbravo.retail.posterminal/js/model/taxRate.js
M web/org.openbravo.retail.posterminal/js/model/taxZone.js
M web/org.openbravo.retail.posterminal/js/model/taxcashup.js
M web/org.openbravo.retail.posterminal/js/model/taxcategorybom.js
M web/org.openbravo.retail.posterminal/js/model/terminal-model.js
M web/org.openbravo.retail.posterminal/js/pointofsale/model/localstock.js
M web/org.openbravo.retail.posterminal/js/pointofsale/model/otherstoresstock.js
M web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-model.js
M web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-print.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/editline.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboard-toolbars.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboardorder.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/modals/modalChange.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/modals/modalChangeLine.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/modals/modalDeleteDiscounts.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/modals/modalcreditsales.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/modals/modaldiscountneedqty.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/modals/modalmessage.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/modals/modalpayments.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/modals/modalproductattribute.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/modals/modalproductcannotbegroup.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/modals/modalquotationproductattribute.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/modals/modalstockdiscontinued.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/modals/modalstockinotherstore.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/modals/modalstockinstore.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/modals/modalstockinstoreclickable.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/modals/modalwarehousesrequired.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/pointofsale.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/ps-multireceiptview.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/ps-productdetailsview.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/ps-receiptview.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/scan.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customeraddress/components/sharedcomponents.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customeraddress/customeraddrdetailview.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customeraddress/editcreatecustomeraddress.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customers/components/sharedcomponents.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customers/customerdetailview.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customers/editcreatecustomerform.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/ticketdiscount.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/toolbar-left.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/toolbar-right.js
M web/org.openbravo.retail.posterminal/js/test/dal.js
M web/org.openbravo.retail.posterminal/js/test/offline-data.js
M web/org.openbravo.retail.posterminal/js/utils/attributeUtils.js
M web/org.openbravo.retail.posterminal/js/utils/cashManagementUtils.js
M web/org.openbravo.retail.posterminal/js/utils/cashUpReportUtils.js
M web/org.openbravo.retail.posterminal/js/utils/checkChToFilterInWebPos.js
M web/org.openbravo.retail.posterminal/js/utils/eventbus.js
M web/org.openbravo.retail.posterminal/js/utils/ob-utilitiesuipos.js
M web/org.openbravo.retail.posterminal/js/utils/openhardwareurl.js
M web/org.openbravo.retail.posterminal/js/utils/orderSelectorUtils.js
M web/org.openbravo.retail.posterminal/js/utils/preScanningFocusHook.js
M web/org.openbravo.retail.posterminal/js/utils/prepaymentUtils.js
M web/org.openbravo.retail.posterminal/js/utils/productStatusUtils.js
M web/org.openbravo.retail.posterminal/js/utils/rfidWebsocket.js
M web/org.openbravo.retail.posterminal/js/utils/stockUtils.js
M web/org.openbravo.retail.posterminal/js/utils/ticketCloseUtils.js
M web/org.openbravo.retail.posterminal/js/utils/unlinkDeviceOnLoad.js
M web/org.openbravo.retail.posterminal/js/utils/unlinkDeviceValidation.js
---
(0113429)
hgbot (developer)
2019-07-16 15:11

Repository: retail/backports/3.0RR19Q2.1/org.openbravo.retail.returns
Changeset: 071dc01c54ae99e2256ded1dfe1a1e54265279e2
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Tue Jul 16 14:15:20 2019 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR19Q2.1/org.openbravo.retail.returns/rev/071dc01c54ae99e2256ded1dfe1a1e54265279e2 [^]

Related to issue 41350: Applied prettier formatting to js files

---
M web/org.openbravo.retail.returns/js/hookRenderOrderLine.js
M web/org.openbravo.retail.returns/js/hookReturnChangeQty.js
M web/org.openbravo.retail.returns/js/hookReturnPaidOrder.js
M web/org.openbravo.retail.returns/js/modalReturnLines.js
M web/org.openbravo.retail.returns/js/modalproductattributeverifiedreturns.js
M web/org.openbravo.retail.returns/js/returnReceiptButton.js
M web/org.openbravo.retail.returns/js/returnUtils.js
---
(0113486)
hgbot (developer)
2019-07-17 18:22

Repository: retail/backports/3.0RR19Q2.1/org.openbravo.mobile.core
Changeset: 95b7a3e0cad524f74e5ab6ba32d9e6283f1d50fa
Author: Gorka Gil <gorka.gil <at> openbravo.com>
Date: Wed Jul 17 14:17:54 2019 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR19Q2.1/org.openbravo.mobile.core/rev/95b7a3e0cad524f74e5ab6ba32d9e6283f1d50fa [^]

Related to issue 41350: add jslint ignore

---
M web/org.openbravo.mobile.core/source/utils/ob-debug.js
---
(0113511)
alostale (developer)
2019-07-18 12:25

reviewed

- Issue History
Date Modified Username Field Change
2019-07-15 08:54 jarmendariz Target Version 3.0PR19Q1.2 => 3.0PR19Q2.1
2019-07-15 08:54 jarmendariz Relationship added related to 0039983
2019-07-15 12:38 jarmendariz Relationship added depends on 0041353
2019-07-16 15:09 jarmendariz Review Assigned To => alostale
2019-07-16 15:10 hgbot Checkin
2019-07-16 15:10 hgbot Note Added: 0113420
2019-07-16 15:10 hgbot Status scheduled => resolved
2019-07-16 15:10 hgbot Resolution open => fixed
2019-07-16 15:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR19Q2.1/rev/cacf8e9d06b5503b65e84284ad8b5a6840fe67da [^]
2019-07-16 15:10 hgbot Checkin
2019-07-16 15:10 hgbot Note Added: 0113421
2019-07-16 15:10 hgbot Checkin
2019-07-16 15:10 hgbot Note Added: 0113422
2019-07-16 15:10 hgbot Checkin
2019-07-16 15:10 hgbot Note Added: 0113423
2019-07-16 15:10 hgbot Checkin
2019-07-16 15:10 hgbot Note Added: 0113424
2019-07-16 15:10 hgbot Checkin
2019-07-16 15:10 hgbot Note Added: 0113425
2019-07-16 15:10 hgbot Checkin
2019-07-16 15:10 hgbot Note Added: 0113426
2019-07-16 15:11 hgbot Checkin
2019-07-16 15:11 hgbot Note Added: 0113427
2019-07-16 15:11 hgbot Checkin
2019-07-16 15:11 hgbot Note Added: 0113428
2019-07-16 15:11 hgbot Checkin
2019-07-16 15:11 hgbot Note Added: 0113429
2019-07-16 16:50 jarmendariz Description Updated View Revisions
2019-07-16 16:50 jarmendariz Proposed Solution updated
2019-07-17 12:30 gorka_gil Relationship added causes 0041376
2019-07-17 18:22 hgbot Checkin
2019-07-17 18:22 hgbot Note Added: 0113486
2019-07-18 12:25 alostale Note Added: 0113511
2019-07-18 12:25 alostale Status resolved => closed
2019-07-18 12:25 alostale Fixed in Version => 3.0PR19Q2.1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker